<?php
session_start();
include("conex.php");

// Comprobar si el usuario está autenticado
if (!isset($_SESSION['idusuario'])) {
    header("Location: ../../views/pages/login.php");
    exit();
}
date_default_timezone_set('America/Guayaquil');
        $fecha_actual = date('Y/m/d');
        $time_actual = date("H:i:s"); 
        $fecha_hora = date("Y/m/d H:i:s");
$id_usuario = $_SESSION['idusuario'];
$idrifa = isset($_GET['idrifa']) ? mysqli_real_escape_string($conn, $_GET['idrifa']) : null;

// Verificar que $idrifa no sea nulo y es un número
if ($idrifa && is_numeric($idrifa)) {
    //$sql = "UPDATE tbr_ticket SET condicion = 0 WHERE idrifa = '$idrifa'";
    $sql = "UPDATE tbr_ticket 
        SET condicion = 0, fecha_hora_eliminado = '$fecha_hora' 
        WHERE idrifa = '$idrifa'";
    
    if (mysqli_query($conn, $sql)) {
        // Registro de actividad
        $actividad = "Eliminar ticket";
        $my_ip = $_SERVER["REMOTE_ADDR"]; 
        

        // Insertar en auditoría (descomentar si es necesario)
        /*
        $insert_historial = mysqli_query($conn, "INSERT INTO tb_auditoria (fecha, hora, ip, detalle, id_datadai, id_usuario)
            VALUES ('$fecha_actual','$time_actual','$my_ip','$actividad','$iddatadai','$id_usuario')");
        */
        
        // Redirigir después de la eliminación
        //header("Location: ../../views/pages/ventas.php");
        header("Location: ../../views/pages/dashboard.php");
        exit();
    } else {
        // Manejo de error en la consulta
        error_log("Error al eliminar el ticket: " . mysqli_error($conn));
        echo "Error al eliminar el ticket. Por favor, inténtelo de nuevo más tarde.";
    }
} else {
    echo "ID de rifa no proporcionado o inválido.";
}
?>